SLAs
Update an SLA
Update a specific SLA by id
PUT
/
v1
/
slas
/
{id}
Update an SLA
curl --request PUT \
--url https://api.rootly.com/v1/slas/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "slas",
"attributes": {
"name": "<string>",
"description": "<string>",
"position": 123,
"manager_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_user_id": 123,
"assignment_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignment_skip_weekends": true,
"completion_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completion_skip_weekends": true,
"conditions": [
{
"operator": "<string>",
"values": [
"<string>"
],
"form_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123
}
],
"notification_configurations": [
{
"offset_days": 123
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/slas/{id}"
payload = { "data": {
"type": "slas",
"attributes": {
"name": "<string>",
"description": "<string>",
"position": 123,
"manager_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_user_id": 123,
"assignment_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignment_skip_weekends": True,
"completion_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completion_skip_weekends": True,
"conditions": [
{
"operator": "<string>",
"values": ["<string>"],
"form_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123
}
],
"notification_configurations": [{ "offset_days": 123 }]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'slas',
attributes: {
name: '<string>',
description: '<string>',
position: 123,
manager_role_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
manager_user_id: 123,
assignment_deadline_sub_status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assignment_skip_weekends: true,
completion_deadline_sub_status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
completion_skip_weekends: true,
conditions: [
{
operator: '<string>',
values: ['<string>'],
form_field_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
position: 123
}
],
notification_configurations: [{offset_days: 123}]
}
}
})
};
fetch('https://api.rootly.com/v1/slas/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "slas",
"attributes": {
"name": "<string>",
"assignment_deadline_days": 123,
"assignment_deadline_parent_status": "<string>",
"completion_deadline_days": 123,
"completion_deadline_parent_status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"position": 123,
"entity_type": "follow_up",
"manager_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_user_id": 123,
"assignment_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignment_skip_weekends": true,
"completion_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completion_skip_weekends": true,
"conditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"property": "<string>",
"operator": "<string>",
"values": [
"<string>"
],
"form_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"notification_configurations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offset_days": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update an SLA
